#! /bin/ksh
#--------------------------------------------------------------------#
#- dxbook_install.ksh: installs dxbook files for Bookreader on       #
#- Compaq Tru64 UNIX V5.1A                                           #
#--------------------------------------------------------------------#
this_file=restore_dxbook.ksh

filename[0]=/usr/bin/X11/dxbook
filename[1]=/usr/lib/X11/app-defaults/DXBookreader
filename[2]=/usr/lib/X11/app-defaults/DXBookreader_prolog.ps
filename[3]=/usr/lib/X11/help/DXBookreader.decw_book
filename[4]=/usr/lib/X11/uid/DXBookreader_1_2.uid
filename[5]=/usr/lib/dxbook/bookreader.decw_book
filename[6]=/usr/lib/dxbook/library.decw_bookshelf

if [[ `whoami` != root ]]; then
  print "$this_file must be run as root,\nExiting."
  exit 1
fi

full_os_vers=`/usr/sbin/sizer -v`
os_vers=`echo $full_os_vers | awk '{print $4}'`
echo $os_vers | grep V5
v5=$?
if [[ $v5 != 0 ]]; then
  print "$this_file can only be run on Tru64 UNIX V5*, you are running $os_vers, exiting."
  exit 1
fi

your_dxbook=`whence dxbook`
if [[ $your_dxbook != "" ]]; then
  print "Note: you already have dxbook as \"$your_dxbook\""
  print -n "Continue [y/(n)]? "
  read
  if [[ $REPLY != y ]]; then
    print "Exiting."
    exit 0;
  fi
fi

dxbook_intact=1
let i=0
while (( $i < ${#filename[*]} )); do
  fname=${filename[i]};
  if [[ ! -a $fname ]]; then
    dxbook_intact=0
  fi
  let i="i + 1"
done

if [[ $dxbook_intact = 0 ]]; then
  print "Installing Bookreader..."

  let i=0
  while (( $i < ${#filename[*]} )); do
    fname=${filename[i]};
    if [[ -a $fname ]]; then
      fname_bk=${fname}_bak;
      print "Moving $fname to $fname_bk"
      mv $fname $fname_bk
    fi
    let i="i + 1"
  done

  /sbin/tar xvf dxbook_install.tar
  if [[ $? != 0 ]]; then
    print "Error(s) encountered in installing Bookreader."
  else
    print "Bookreader installed successfully."
  fi
else
  print "Bookreader already installed."
fi

exit 0

